{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE PackageImports #-}
module MainSpec where

import Database.PostgreSQL.Transact
import Database.PostgreSQL.Simple (Only(..))

import Test.Hspec

import Control.Monad.IO.Class (liftIO)

-- internal imports

import qualified "mateamt" Util as LibUtil
import TestUtil

spec = describeDB (const $ return ()) "Initialize DB" $
  itDB "call initialization script" $ do
    conn <- getConnection
    liftIO $ shouldReturn (LibUtil.initDB conn) ()
